=== release 1.16.0 ===

2019-04-19 00:23:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* README:
	* RELEASE:
	* configure.ac:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.16.0

2019-04-19 00:23:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-gtk.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-qmlgl.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	  Update docs

2019-04-19 00:23:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/el.po:
	* po/zh_CN.po:
	  Update translations

2019-04-18 17:14:18 +0200  Benjamin Sigonneau <b.sigonneau@mediadone.fr>

	* ext/qt/qtplugin.pro:
	  qmlglsink: fix compilation with Qt >= 5.5 on Windows
	  As of Qt >= 5.5, qmake do not link to opengl32 by default anymore. This commit adds opengl32.lib to the .pro
	  file so that the plugin can be build using QtCreator on Windows.

2019-04-17 15:48:26 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/qt/meson.build:
	  meson: Build qt plugin in C++11 mode explicitly
	  This works implicitly most of the time, but we need to set it
	  explicitly for building with Android.

2019-04-16 14:35:06 +0530  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	* sys/v4l2/gstv4l2videodec.c:
	* sys/v4l2/gstv4l2videoenc.c:
	  v4l2: fix use after free when handling events
	  The sink_event parent function may consume the event so we shouldn't use
	  it after having calling it.

=== release 1.15.90 ===

2019-04-11 00:26:58 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.15.90

2019-04-11 00:26:58 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-gtk.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-qmlgl.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	  Update docs

2019-04-09 23:51:22 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpulpfecdec.c:
	* gst/rtp/gstrtpulpfecenc.c:
	  rtpulpfecdec,enc: unbreak plugin gtk-doc build in autotools
	  Fix doc chunks to not use that syntax for links that have the
	  url as description, it will be put verbatim into the xml/*.xml
	  file and then the expat parser will throw a syntax error like:
	  File "../../common/mangle-db.py", line 71, in <module>
	  main()
	  File "../../common/mangle-db.py", line 69, in main
	  patch (details.replace("-details", ""), os.path.basename(details))
	  File "../../common/mangle-db.py", line 20, in patch
	  doc = xml.dom.minidom.parse(related)
	  File "/usr/lib/python2.7/xml/dom/minidom.py", line 1918, in parse
	  return expatbuilder.parse(file)
	  File "/usr/lib/python2.7/xml/dom/expatbuilder.py", line 924, in parse
	  result = builder.parseFile(fp)
	  File "/usr/lib/python2.7/xml/dom/expatbuilder.py", line 207, in parseFile
	  parser.Parse(buffer, 0)
	  xml.parsers.expat.ExpatError: not well-formed (invalid token): line 84, column 7

2019-04-08 11:35:34 +0200  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/rtp/gstrtpvrawpay.c:
	  rtpvrawpay: preserve GST_BUFFER_FLAG_DISCONT on the first outputted buffer
	  If the incoming frame buffer has GST_BUFFER_FLAG_DISCONT set this should
	  be preserved and set for the first output buffer too, like other
	  payloaders do.
	  Spotted with gst-validate-1.0 when adding integration tests for
	  rtpsession, a minimal test to reproduce the issue is:
	  $ gst-validate-1.0 videotestsrc num-buffers=1 ! rtpvrawpay ! identity ! fakesink
	  Starting pipeline
	  Pipeline started
	  warning : Buffer didn't have expected DISCONT flag333 speed: 1.000000 />
	  Detected on <identity0:sink>
	  Detected on <identity0:src>
	  Detected on <fakesink0:sink>
	  Description : Buffers after SEGMENT and FLUSH must have a DISCONT flag
	  Issues found: 1
	  =======> Test PASSED (Return value: 0)

2019-03-22 12:42:14 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtpulpfecdec.c:
	* gst/rtp/gstrtpulpfecenc.c:
	  rtpulpfec*: Replace github URIs with gitlab.fdo ones

2019-03-21 17:01:11 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtpreddec.c:
	* gst/rtp/gstrtpredenc.c:
	  rtpred*: Add example pipelines

2019-03-21 16:48:37 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtpreddec.c:
	* gst/rtp/gstrtpulpfecdec.c:
	* gst/rtp/gstrtpulpfecenc.c:
	  rtpulpfec*: Improve documentation

2019-03-20 18:31:48 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtpstorage.c:
	* gst/rtp/gstrtpulpfecdec.c:
	  rtpstorage + rtpulpfecdec: Get the storage using a query as fallback
	  This allows it to be used using gst-launch for easier testing.

2019-03-19 06:22:29 -0700  Dan Kegel <dank@kegel.com>

	* sys/osxvideo/Makefile.am:
	* sys/osxvideo/meson.build:
	  osxvideo: fix mac os 10.14 build
	  lockFocusIfCanDraw is deprecated in mac os 10.14.  Apple suggests a
	  different way to do what that does, but for now, just suppress the deprecation.
	  There's no way to disable just that deprecation, so shut them all down.
	  OpenGL is also deprecated in mac os 10.14.  There is a gentle way to
	  turn off just those deprecations (GL_SILENCE_DEPRECATION), but since
	  this commit turns them all off, that's moot.
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/issues/577

2019-04-07 12:00:49 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* tests/check/elements/rtpsession.c:
	  test: rtpsession: Verify on-sending-nacks callback

2019-03-27 16:19:15 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/rtpmanager/rtpsession.c:
	* gst/rtpmanager/rtpsession.h:
	  rtpsession: Allow overriding NACK packet creation
	  This introduce a new signal on RTSession, on-sending-nacks is emited
	  right before the list of seqnums to be nacked are processed and
	  transformed into FB Nack. This allow implementing custom nacks
	  handling through another mechanism with APP feedback.

2018-11-20 02:45:04 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/rtpmanager/rtpsession.c:
	* gst/rtpmanager/rtpsession.h:
	* tests/check/elements/rtpsession.c:
	  rtpsession: Add disable-sr-timestamp property
	  The Onvif Streaming Spec, in section 6.11, mandates that when
	  Rate-Control is disabled potential RTCP packets shall have
	  their timestamps set to 0.
	  <https://www.onvif.org/specs/stream/ONVIF-Streaming-Spec.pdf>

2019-03-05 20:57:44 +0100  Philipp Zabel <philipp.zabel@gmail.com>

	* sys/v4l2/ext/types-compat.h:
	  v4l2: remove __user define from types-compat.h
	  Remove the now unused __user define.

2019-03-05 20:53:47 +0100  Philipp Zabel <philipp.zabel@gmail.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: use opRGB colorspace and xfer func defines
	  AdobeRGB defines have been renamed to opRGB in the kernel headers,
	  use the new names.

2019-01-24 16:12:13 +0100  Philipp Zabel <p.zabel@pengutronix.de>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: support orphaning
	  Recent kernels allow REQBUFS(0) on a queue that still has buffers in
	  use (mmapped or exported via dmabuf), orphaning all buffers on the queue.
	  If this is supported, the v4l2videodec element does not have to send a
	  drain request downstream.

2019-01-24 16:12:13 +0100  Philipp Zabel <p.zabel@pengutronix.de>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	  v4l2bufferpool: support orphaning
	  Now that the v4l2allocator allows orphaning the V4L2 buffer queue, add
	  support for orphaning in the v4l2bufferpool. gst_v4l2_buffer_pool_orphan
	  can be used as a replacement for gst_v4l2_buffer_pool_stop, without
	  having to wait for buffers to be returned to the pool.

2019-01-24 16:12:13 +0100  Philipp Zabel <p.zabel@pengutronix.de>

	* sys/v4l2/gstv4l2allocator.c:
	* sys/v4l2/gstv4l2allocator.h:
	  v4l2allocator: support orphaning
	  Recent kernels allow REQBUFS(0) on a queue that still has buffers in
	  use (mmapped or exported via dmabuf), orphaning all buffers on the queue.
	  Orphaning the allocator causes it to release all buffers with
	  REQBUFS(0), even if they are still in use. An orphaned allocator can
	  only be stopped. It can not be restarted or create new buffers.

2019-01-24 15:36:49 +0100  Philipp Zabel <p.zabel@pengutronix.de>

	* sys/v4l2/ext/v4l2-common.h:
	* sys/v4l2/ext/v4l2-controls.h:
	* sys/v4l2/ext/videodev2.h:
	  v4l2: update kernel headers to latest from media tree
	  Update to the latest installed headers (output of make headers_install)
	  from the media tree, keeping the slight modifications to the includes.
	  This includes new HEVC controls, the AdobeRGB -> opRGB rename, a new
	  capabilities field for v4l2_requestbuffers and v4l2_create_buffers, new
	  32-bit YUV formats, and request_fd changes.

2019-04-03 14:13:49 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/shout2/gstshout2.c:
	  shout2: Fix leak on error in start

2019-03-29 22:48:53 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* tests/check/elements/rtpsession.c:
	  test: rtpsession: Test FB Nack packing
	  We used to split the NACK if a smaller seqnum of a range of seqnum was
	  submited. This test also make sure that the three operations (append,
	  prepend, update) works properly.

2019-03-29 22:34:47 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* tests/check/elements/rtpsession.c:
	  test: rtpsession: Test handling of NACK surplus
	  This test verify that NACKs that didn't fit in one packet are properly
	  filtered and inserted into the following pipeline.

2019-03-25 13:42:25 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/rtpmanager/rtpsession.c:
	* gst/rtpmanager/rtpsource.c:
	* gst/rtpmanager/rtpsource.h:
	  rtpsession: Send as many nack seqnum as possible
	  In order to do that, we now split the nacks registration from the actual
	  FB nack packet construction. We then try and add as many FB Nacks as
	  possible into the active packets and leave the remaining seqnums in the
	  RTPSource. In order to avoid sending outdated NACK later on, we save the
	  seqnum calculated deadline and cleanup the outdated seqnums before the
	  next RTCP send.
	  Fixes #583

2018-04-30 10:54:19 +0200  John Bassett <john.bassett@pexip.com>

	* gst/rtpmanager/rtpsession.c:
	* tests/check/elements/rtpsession.c:
	  rtpsession: Fix race when sending PLI, FIR and NACK packets
	  Calling rtp_session_send_rtcp before marking the source as requiring a
	  pli/fir/nack meant the rtcp_thread could be scheduled and start running
	  before the source was updated. This meant the request would not be sent
	  early but instead was transmitted with the next regular RTCP packet.
	  Add test for nack generation.

2019-03-29 16:49:37 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/rtpmanager/rtpsession.c:
	  rtpsession: Fix early rtcp time comparision
	  If the current time is equal to the early rtcp time deadline, there is
	  no need to schedule a timer. This ensure that immediate feedback is
	  really immediate and simplify implementing unit tests with the test
	  clock, which stops perfectly on the timeout time.
	  This fix has been extracted from Pexip feature patch called
	  "rtpsession: Allow instant transmission of RTCP packets"

2019-01-24 11:54:49 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* sys/v4l2/gstv4l2src.c:
	  v4l2src: preserve features when fixating caps
	  The caps features were lost when sorting caps structures in
	  gst_v4l2src_fixate(). This was breaking alternate as
	  GST_CAPS_FEATURE_FORMAT_INTERLACED was removed from the caps.

2018-11-13 21:23:30 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/rtp/gstrtpgstpay.c:
	  rtpgstpay: Set DELTA_UNIT flag when appropriate
	  When used in combination with a rtponviftimestamp element
	  downstream, forwarding this flag ensures it gets correctly
	  serialized in the ONVIF header extension.

2019-04-03 16:42:26 +0200  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  docs: fix typo s/abonormally/abnormally/

2019-04-03 16:38:56 +0200  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/debugutils/gsttaginject.c:
	* gst/goom2k1/gstgoom.c:
	* gst/monoscope/gstmonoscope.c:
	* gst/rtp/README:
	* gst/rtp/gstrtpac3pay.c:
	* gst/rtp/gstrtpmp4apay.c:
	* gst/rtp/gstrtpmp4vpay.c:
	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* gst/rtpmanager/rtpjitterbuffer.c:
	* gst/rtpmanager/rtpsource.c:
	* gst/smpte/gstsmpte.c:
	  docs: fix typo s/incomming/incoming/

2019-04-03 16:34:22 +0200  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/rtp/gstrtpmp4apay.c:
	* gst/rtp/gstrtpmp4gpay.c:
	* gst/rtp/gstrtpmp4vpay.c:
	* gst/rtp/gstrtpvrawpay.c:
	  rtp: fix indentation after G_DEFINE_TYPE
	  A missing colon after G_DEFINE_TYPE declaration was confusing gst-indent
	  and causing problem in the pre-commit hook.
	  Add the missing colon and fix the following function declaration to
	  follow the normal GStreamer style.

2019-03-07 15:34:03 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/rtpmanager/gstrtpsession.c:
	  rtpsession: fix comment to refer to buffers instead of groups
	  One comments in gst_rtp_session_chain_send_rtp_common() is referring to
	  groups in a buffer list, however this concept of "group" comes from
	  GStreamer 0.10 and does not exist anymore in GStreamer 1.0, so update the
	  comment to refer to buffers instead.

2019-03-06 09:52:45 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/rtpmanager/rtpsource.c:
	  rtpsource: add comment to explain why probation queue is not always cleared

2019-04-02 12:51:04 +0200  Antonio Ospite <antonio.ospite@collabora.com>

	* tests/check/elements/rtpbin_buffer_list.c:
	  test: rtpbin_buffer_list: add test to verify that stats are correct
	  Add a test to verify that stats about sent and received packets are
	  correct even when using buffer lists.
	  NOTE: the newly introduced get_session_source_stats() selects the
	  desired source (sender or receiver) by filtering them by type (using the
	  get_sender parameter) rather than by ssrc because this simplifies the
	  code and it's good enough for testing purposes as there is usually one
	  source per type in the test setup.
	  Filtering by ssrc would have required handling asynchronous signals like
	  "on-new-sender-ssrc", with the relative locking, just to retrieve the
	  actual ssrc of the sender.

2019-03-05 13:43:12 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/rtpmanager/rtpsource.c:
	  rtpsource: fix stats about received packets
	  The update_receiver_stats() function is called also when sending packets
	  in rtp_source_send_rtp(), and sending packets may happen using a buffer
	  list rather than individual buffers.
	  So update the stats using the actual number of packets sent.
	  NOTE: this is fine for the receive path too (rtp_process_send_rtp)
	  because the receive path does not support buffer lists and
	  pinfo->packets would always be equal to 1 in this case.

2019-03-11 10:08:21 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* tests/check/elements/rtpbin_buffer_list.c:
	  test: rtpbin_buffer_list: move buffer list creation next to its validation
	  The tests create a buffer list and then use the chain_list callback to
	  verify that the correct packets have been pushed.
	  Move the creation and validation code next to each other so that the
	  reader can more easily understand what is going on.
	  While at it add some comments to introduce the two related functions.

2019-03-06 19:27:01 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* tests/check/elements/rtpbin_buffer_list.c:
	  test: rtpbin_buffer_list: set the chain_list function directly in the test
	  The helper function set_chain_function does not really do anything useful, remove it.

2019-03-06 19:19:03 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* tests/check/elements/rtpbin_buffer_list.c:
	  test: rtpbin_buffer_list: make check_packet more flexible
	  Make it possible to differentiate between the position in the list and
	  the packet index in the global structures in check_packet, in some
	  future case the list may change, in case some element removes a buffer
	  from the list, and the two indices may not coincide.

2019-03-05 12:47:29 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* tests/check/elements/rtpbin_buffer_list.c:
	  test: rtpbin_buffer_list: factor out a function to create packets buffers

2019-03-04 11:27:33 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* tests/check/elements/rtpbin_buffer_list.c:
	  test: rtpbin_buffer_list: check if the chain_list function has been called
	  Make the test more useful to verify that the chain list function has
	  actually been called.

2019-02-27 12:27:21 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* tests/check/elements/rtpbin_buffer_list.c:
	  test: rtpbin_buffer_list: port to GStreamer 1.0
	  Port the rtpbin_buffer_list test to GStreamer 1.0 and re-enable it.
	  Some other changes include:
	  - the check on the caps has been moved from the buffer level to the
	  pad level;
	  - remove underscore prefix from static functions names, this is not
	  idiomatic in C and rarely used in the other tests;
	  - the unused header_buffer variable has been removed;
	  - check_group() has been renamed to check_packet() because in
	  GStreamer 1.0 there is no concept of "group" anymore, the comments
	  have also been updated to reflect this.

2019-04-01 18:20:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/jpegdec.c:
	  tests: jpegdec: bump discoverer timeout for valgrind
	  Tests might take a bit longer, esp. when run under valgrind
	  and/or they're running on the CI with other things going on,
	  so let's just bump the timeout to something higher and let
	  the test runner time us out if needed.

2019-04-01 18:20:28 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/qt/meson.build:
	  meson: Only ensure that moc is available on Linux
	  On other OSes, it's not possible to have qmake or the qt5 pkg-config
	  files and not have moc, and `moc` will not be in `PATH`, so this only
	  causes problems.

2019-03-21 18:24:43 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/rtpstoragestream.c:
	  rtpstorage: Limit the queue size
	  Limit to the queue size in case there is no arrival time or in case there is
	  a huge flood of packets.

2019-03-18 15:30:54 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: Request the FEC decoder even if ignore-pt is set

2019-03-18 15:27:21 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: Factor out the code that exposes the src pad

2019-03-22 02:08:01 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtpreddec.c:
	  rtpreddec: Add some more debug prints

2019-03-21 17:32:18 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/rtpstorage.c:
	  rtpstorage: Issue warning if request by size if 0
	  If the size is 0, then nothing will ever be in the storage, if a request is
	  received, it generally implies a misconfigured pipeline.

2019-03-21 17:24:42 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtpstorage.c:
	* gst/rtp/rtpstorage.c:
	* gst/rtp/rtpstoragestream.c:
	  rtpstorage: Add more debug messages

2019-03-21 17:12:53 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtpstorage.c:
	* gst/rtp/rtpstorage.c:
	* gst/rtp/rtpstoragestream.c:
	* gst/rtp/rtpstoragestream.h:
	* tests/check/Makefile.am:
	* tests/check/elements/rtpstorage.c:
	* tests/check/meson.build:
	  rtpstorage: Make debug category available to sub objects

2019-03-21 17:12:33 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtpstorage.c:
	  rtpstorage: Add debug funcptr to chain function

2019-03-22 12:01:01 +0100  Julian Bouzas <julian.bouzas@collabora.com>

	* ext/flac/gstflacdec.c:
	* ext/flac/gstflacenc.c:
	  flac: report latency in flacenc and flacdec
	  The FLAC specification states that the data is processed in blocks, regardless of the number of channels. Thus, The latency can be calculated using the blocksize and rate. For example a 1 second block sampled at 44.1KHz has a blocksize of 44100

2019-03-22 23:36:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/examples/rtsp/test-onvif.c:
	  examples: rtsp: fix compiler warning
	  "control reaches end of non-void function"

2019-03-22 15:07:56 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/rtpmanager/gstrtpsession.c:
	  gstrtpsession: Remove set but not use running-time

2019-03-19 09:50:04 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* gst/rtpmanager/gstrtpptdemux.c:
	* gst/rtpmanager/gstrtpsession.c:
	* gst/rtpmanager/gstrtpssrcdemux.c:
	  rtpmanager: Register chain functions to debug

2019-02-27 15:49:13 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: Allow reusing the sender AUX bin
	  This is needed for the case you don't know in advance all the sessions
	  you will be using, but would like to place all the related AUX element
	  in the same GstBin. As per current implementation, each time an sender
	  AUX bin is requested and returned, RTPBin will walk the src pads and
	  create sessions for these pads.
	  In the current implementation, if a src pad already have a sessions, it
	  returns an error and stops. As a side effect, if an AUX bin is reused in
	  a following AUX bin request, it can only work if the pads are created on
	  the last request.
	  This change simply relax the restriction in order to keep walking, and
	  just ensure that all newly created pads have a sessions.

2018-06-25 17:49:07 +0200  Philipp Zabel <p.zabel@pengutronix.de>

	* sys/v4l2/gstv4l2videoenc.c:
	  v4l2videoenc: set GstVideoCodecFrame sync point flag
	  The V4L2 elements already set the delta unit buffer flag when dequeueing
	  the buffer, but gst_video_encoder_finish_frame overwrites it from the
	  passed codec frame's sync point flag. Set the flag correctly.

2018-08-23 11:47:14 +0300  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* gst/rtpmanager/gstrtpsession.c:
	  gstrtpsession: improve stats about rtx requests

2019-03-20 15:45:35 -0400  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* gst/rtpmanager/gstrtprtxsend.c:
	  rtprtxsend: Improve looging of not found RTX packet
	  When an RTX packet is not found, display a message that say if the
	  packet have not arrived yet or if it was already removed from the RTX
	  packet queue.

2018-08-09 16:40:26 +0300  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/rtpmanager/rtpsession.c:
	* gst/rtpmanager/rtpsession.h:
	  rtpsession: Remove unused rtp_session_create_source

2019-03-21 11:17:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: add -Wno-unused also to C++ args when gst debug system is disabled
	  And check if argument is supported instead of just passing it blindly,
	  and make meson code slightly cleaner, centralising the argument setting
	  in one place.

2019-03-10 19:30:50 +0000  Piotr Drąg <piotrdrag@gmail.com>

	* po/LINGUAS:
	  Update LINGUAS

2019-03-19 12:31:35 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Don't pass zero to denominator for framerate
	  Need to respect return of gst_video_guess_framerate() to ensure
	  non-zero denominator.
	  This patch is to fix below error with an abnormal (but has valid frame) file.
	  (gst-play-1.0:17940): GStreamer-CRITICAL **: passed '0' as denominator for `GstFraction'

2019-03-05 09:43:47 +0000  Philippe Normand <philn@igalia.com>

	* sys/v4l2/gstv4l2fwhtenc.c:
	* sys/v4l2/gstv4l2h263enc.c:
	* sys/v4l2/gstv4l2h264enc.c:
	* sys/v4l2/gstv4l2h265enc.c:
	* sys/v4l2/gstv4l2jpegenc.c:
	* sys/v4l2/gstv4l2mpeg4enc.c:
	* sys/v4l2/gstv4l2vp8enc.c:
	* sys/v4l2/gstv4l2vp9enc.c:
	  v4l2: Set Hardware classifier on encoders

2019-02-27 11:56:20 +0000  Philippe Normand <philn@igalia.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2: Set Hardware classifier on video decoders

2019-03-01 14:58:24 +0100  Philipp Zabel <p.zabel@pengutronix.de>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: don't segfault if flushed without pools
	  The v4l2output and v4l2capture v4l2objects can have pool == NULL if they
	  have been stopped before.

2019-02-07 11:58:19 +0000  Charlie Turner <cturner@igalia.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Find mp4a esds atoms in protected streams sample description tables.
	  This problem was found in Test. 2 of the YouTube 2018 EME
	  tests[1]. The code was accidentally not finding an mp4a's esds atom in
	  the sample description table when the stream was encrypted. It assumed
	  that if the stream is protected, then only an enca atom will be found
	  here. What happens with YouTube is they often provide protected
	  content with a few seconds of clear content, and then switch to the
	  encrypted stream.
	  The failure case here was an incorrect codec_data field being sent
	  into aacparse. The advertisement of stereo audio @ 44.1kHz for the
	  mp4a (unprotected) stream was incorrect. As usual, the esds contained
	  the real values here which were mono at 22050 Hz.
	  Here's what the MP4 tree looks like for these types of files,
	  demonstrating why the code was making a wrong assumption (or maybe
	  YouTube is being unusual),
	  [ftyp] size=8+16
	  ...
	  [moov] size=8+1571
	  ...
	  [trak] size=8+559
	  ...
	  [stsd] size=12+234
	  entry-count = 2
	  [enca] size=8+147
	  channel_count = 2
	  sample_size = 16
	  sample_rate = 44100
	  [esds] size=12+27
	  ...
	  ...
	  [mp4a] size=8+67
	  channel_count = 2
	  sample_size = 16
	  sample_rate = 44100
	  [esds] size=12+27
	  ...
	  In addition to fixing this, the checks for esds atoms in mp4a and mp4v
	  have been made symmetrical. While I haven't seen a test case for video
	  with the same problem, it seemed better to make the same checks. This
	  also fixes a crash reported from another user[2], they also noted the
	  asymmetry with mp4v and mp4a.
	  [1] https://yt-dash-mse-test.commondatastorage.googleapis.com/unit-tests/2018.html?test_type=encryptedmedia-test
	  [2] https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/issues/398

2019-03-15 10:41:20 +0100  Andreas Frisch <afrisch@make.tv>

	* gst/flv/gstflvmux.c:
	  flvmux: Fix scale of time values in warning message

2019-03-15 09:18:00 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Don't remove udpsrc/sink from rtspsrc if they were not added to it
	  This can happen in various error cases that could happen between the
	  creation of the element in question and the adding to the rtspsrc.
	  It causes an ugly critical warning right now but is otherwise harmless.

2019-03-13 14:00:10 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* tests/check/elements/imagefreeze.c:
	  test: imagefreeze: add test for the num-buffers property

2019-03-13 13:03:44 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/imagefreeze/gstimagefreeze.c:
	* gst/imagefreeze/gstimagefreeze.h:
	  imagefreeze: add a num-buffers property
	  The imagefreeze element can be handy for benchmarking downstream
	  elements because it re-uses the same buffer memory and introduces less
	  overhead compared to always creating new frames with videotestsrc.
	  However it's not possible to make imagefreeze send EOS when using
	  gst-launch-1.0.
	  Add a num-buffers property to make it look more like a source in the
	  above scenario.

2019-03-12 16:52:45 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* gst/matroska/matroska-mux.c:
	  matroskamux: add support for new color primaries

2019-03-07 11:24:38 +0100  Philipp Zabel <p.zabel@pengutronix.de>

	* sys/v4l2/gstv4l2sink.c:
	  v4l2sink: fix pool-less allocation query handling
	  This fixes a critical warning if the last-sample property is enabled:
	  (gst-launch-1.0:391): GStreamer-CRITICAL **: 01:12:57.428: gst_object_unref: assertion 'object != NULL' failed
	  If the allocation query does not contain any allocation pools,
	  gst_query_parse_nth_allocation_pool will leave the local pool,
	  min, and max variables undefined, so check the array length first.
	  If pool is NULL, do not call gst_object_unref.

2019-03-08 11:03:31 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* tests/examples/meson.build:
	  meson: Build v4l2 example only if v4l2 plugin was built
	  Otherwise v4l2 example will be built with MSVC

2019-03-07 12:38:41 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* ext/dv/gstdvdemux.c:
	* gst/rtsp/gstrtspsrc.c:
	* gst/udp/gstudpsrc.c:
	  docs: fix typos s/recieve/receive/

2019-02-28 12:32:51 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/rtpmanager/rtpsource.c:
	  rtpsource: fix documentation of rtp_source_send_rtp parameters
	  In commit 28e5f9098 (rtpbin: use PacketInfo for the sender, 2013-09-13)
	  the rtp_source_send_rtp signature changed but the documentation was not
	  adjusted to match the new one.
	  Update the documentation to match the function signature.

2019-03-06 12:59:52 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/rtpmanager/rtpsession.c:
	  rtpsession: fix typo in a comment, s/SESSION_LOCK/RTP_SESSION_LOCK/
	  Fix a typo in a comment, mainly to avoid confusing autocompletion in
	  text editors.

2019-02-27 16:45:54 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/rtpmanager/gstrtpsession.c:
	* gst/rtpmanager/rtpsession.c:
	* gst/rtpmanager/rtpsession.h:
	  rtpsession: fix typos and update parameters names in comments
	  Some functions now accept a generic 'gpointer data' parameter because
	  they can work either on a single buffer or a buffer list.
	  However the comments were still referring to the old 'GstBuffer *buffer'
	  parameter, so update the comments to match the actual functions
	  signature.

2019-03-06 16:28:34 +0100  Antonio Ospite <antonio.ospite@collabora.com>

	* gst/rtpmanager/rtpstats.h:
	  rtpstats: fix some fields names in the RTPSourceStats documentation
	  Fix documentation of RTPSourceStats to use the actual fields names.

2019-03-06 17:40:12 +0000  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/rtp/gstrtpulpfecdec.c:
	  rtpulpfdecdec: only put recovered packet back into storage if not recovered from there

2019-03-06 17:38:03 +0000  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/rtp/gstrtpulpfecdec.c:
	  rtpulpfecdec: fix buffer leak when packet is recovered from storage
	  Exposed by rtpulpfecdec_recovered_from_storage test.

2019-03-06 17:35:58 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/rtpulpfec.c:
	  tests: rtpulpfec: fix buffer leak in unit test
	  This freed wrapped memory instead of the GstMemory or buffer.

2019-03-06 17:33:23 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtph264depay.c:
	  rtph264depay: fix caps leak
	  Exposed by rtp_h264depay_bytestream() unit test.

2019-03-06 17:28:57 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/rtpjitterbuffer.c:
	  tests: rtpjitterbuffer: fix leaks in new test_push_eos() test

2019-03-06 17:26:23 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/Makefile.am:
	* tests/check/meson.build:
	  tests: states: blacklist gtk sinks for state change test
	  gtk_init() throws GLib-GIO-WARNING **: unknown schema extension 'd'
	  unrelated to our test environment.

2019-03-06 17:26:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/.gitignore:
	* tests/examples/rtp/.gitignore:
	  tests: .gitignore more test and example binaries

2019-03-05 15:26:45 +1100  Matthew Waters <matthew@centricular.com>

	* ext/gtk/gstgtkglsink.c:
	* ext/gtk/gtkgstglwidget.c:
	  gtkgl: Also try retrieving an EGL context from Gdk with X11
	  Some embedded platforms will use EGL instead of GLX within the X11
	  ecosystem.

2019-03-04 09:07:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-gtk.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-qmlgl.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
